All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
errorAndLog.hpp File Reference
`#include <atomic>`
`#include <mutex>`
`#include <sstream>`
`#include <string>`
`#include <vector>`
`#include <openpose/core/macros.hpp>`
`#include <openpose/utilities/enumClasses.hpp>`

Go to the source code of this file.

## Namespaces

| op
| op::ConfigureError
| op::ConfigureLog

## Functions

template<typename T >
std::string | op::tToString (const T &message)
OP_API void | op::error (const std::string &message, const int line=-1, const std::string &function="", const std::string &file="")
template<typename T >
void | op::error (const T &message, const int line=-1, const std::string &function="", const std::string &file="")
OP_API void | op::log (const std::string &message, const Priority priority=Priority::Max, const int line=-1, const std::string &function="", const std::string &file="")
template<typename T >
void | op::log (const T &message, const Priority priority=Priority::Max, const int line=-1, const std::string &function="", const std::string &file="")
template<typename T >
void | op::dLog (const T &message, const Priority priority=Priority::Max, const int line=-1, const std::string &function="", const std::string &file="")
OP_API std::vector< ErrorMode > | op::ConfigureError::getErrorModes ()
OP_API void | op::ConfigureError::setErrorModes (const std::vector< ErrorMode > &errorModes)
OP_API Priority | op::ConfigureLog::getPriorityThreshold ()
OP_API const std::vector < LogMode > & | op::ConfigureLog::getLogModes ()
OP_API void | op::ConfigureLog::setPriorityThreshold (const Priority priorityThreshold)
OP_API void | op::ConfigureLog::setLogModes (const std::vector< LogMode > &loggingModes)